#!/bin/bash

set -ex

export

# Enter temporary directory.
pushd /tmp

# install dfx
sh -ci "$(curl -fsSL https://internetcomputer.org/install.sh)"

# Install Bats.
sudo apt-get install --yes bats

# Install Bats support.
version=0.3.0
wget https://github.com/ztombol/bats-support/archive/v$version.tar.gz
sudo mkdir /usr/local/lib/bats-support
sudo tar --directory /usr/local/lib/bats-support --extract --file v$version.tar.gz --strip-components 1
rm v$version.tar.gz

# Set environment variables.
BATS_SUPPORT="/usr/local/lib/bats-support"
echo "BATSLIB=${BATS_SUPPORT}" >> "$GITHUB_ENV"
echo "$HOME/bin" >> "$GITHUB_PATH"
# if this is set, setup_nns.sh will not download all wasm modules for every individual test
echo "DOWNLOAD_DIR=$(mktemp -d)" >> "$GITHUB_ENV"

# Exit temporary directory.
popd
